curl --request PUT \
--url https://api.baselayer.com/portfolio/items/{item_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"group_id": "ede786f3-33ae-4894-843d-af2025f1d5b0"
}
'import requests
url = "https://api.baselayer.com/portfolio/items/{item_id}"
payload = { "group_id": "ede786f3-33ae-4894-843d-af2025f1d5b0" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({group_id: 'ede786f3-33ae-4894-843d-af2025f1d5b0'})
};
fetch('https://api.baselayer.com/portfolio/items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ede786f3-33ae-4894-843d-af2025f1d5b0",
"search_id": "c623e29e-1f57-11ef-938f-1edb1b067314",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "Business",
"business": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Hamilton-Olson",
"address": "63788 Paige Lane Cooperfurt, MI 10037",
"phone_number": "955-714-3269",
"email": "javier01@example.net",
"website": "https://jones.com/",
"url": "https://api.baselayer.com/businesses/9083e7e2-1f6b-11ef-8f0f-1edb1b067314",
"console_url": "https://console.baselayer.com/business/9083e7e2-1f6b-11ef-8f0f-1edb1b067314"
},
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "Austin",
"last_name": "Taylor",
"email": "jessicasimpson@example.com"
},
"comments": [],
"attachments": [],
"scores": [],
"last_monitored_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Portfolio Item
Authorizations
Path Parameters
Body
The optional UUID of the group to move the item to. If None, removes the item from its current group.
"ede786f3-33ae-4894-843d-af2025f1d5b0"
Response
Response
- BusinessPortfolioItemResponse (v1)
- PersonPortfolioItemResponse (v1)
Represents a business portfolio item
The unique identifier of the portfolio item.
"ede786f3-33ae-4894-843d-af2025f1d5b0"
The unique identifier of the search that the portfolio item is based on.
"c623e29e-1f57-11ef-938f-1edb1b067314"
The name of the portfolio item.
The timestamp of when the portfolio item was created.
The type of the portfolio item.
"Business"The business associated with the portfolio item.
Show child attributes
Show child attributes
The UUID of the portfolio group that the item belongs to.
The user who created the portfolio item.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The timestamp of when the portfolio item was last monitored.